> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/algo-orders/order.md).

# order

{% tabs %}
{% tab title="Payload" %}

```
POST /algo/order

{
  "id": 123456
}

```

<table><thead><tr><th width="170">Parameter</th><th width="164.7999267578125">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Efx::OrderId</td><td>Order ID. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>.</td></tr></tbody></table>

{% endtab %}

{% tab title="Response 200 OK" %}

```
{
  "content": {
    "id": 123456,
    "clientOrderId": 1,
    "clientId": 9999,
    "status": "PARTIALLY_EXECUTED",
    "side": "ask",
    "initiatorType": "regular",
    "instrument": "ETH-USD:USDT-USD",
    "size": 12345678,
    "volume": 12345678,
    "price": 12345678,
    "remainingSizeOrVolume": 123,
    "createdAt": 1767225600,
    "type": "limitIOC",
    "cancelReason": "some",
    "filledPercent": 9500,
    "executionSize": 12345678,
    "executionVolume": 12345678,
    "orders": [
      {
        "orderId": 123456,
        "executionIndex": 0,
        "side": "ask",
        "instrument": "ETH-USD",
        "size": 12345678,
        "executionSize": 12345678,
        "executionVolume": 12345678,
        "executionCode": 0
      },
      ...
    ]
  },
  "error": 0
}
```

<table><thead><tr><th width="280.39996337890625">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>error</td><td>Efx::ErrorCode</td><td>Operation result code. Possible values are in <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/troubleshooting-errors/list-of-error-codes">List of Error Codes</a></td></tr><tr><td>content.id</td><td>Efx::OrderId</td><td>Order ID. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>.</td></tr><tr><td>content.clientOrderId</td><td>Efx::ClientOrderId</td><td>Client Order ID. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>.</td></tr><tr><td>content.clientId</td><td>Efx::ClientId</td><td>ID of a client who placed order. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>.</td></tr><tr><td>content.status</td><td>string</td><td>Order status. Might be <code>PENDING</code>, <code>PARTIALLY_EXECUTED</code>, <code>COMPLETED</code>, <code>CANCELED</code></td></tr><tr><td>content.side</td><td>string</td><td>Order side. Might be <code>bid</code>, <code>ask</code></td></tr><tr><td>content.initiatorType</td><td>string</td><td>Order Initiator type. Always <code>regular</code></td></tr><tr><td>content.instrument</td><td>string</td><td>Technical name of order instrument</td></tr><tr><td>content.size</td><td>Efx::Size</td><td>Order size. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>. Will be present if order is by size.</td></tr><tr><td>content.volume</td><td>Efx::Size</td><td>Order volume. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>. Will be present if order is by volume.</td></tr><tr><td>content.price</td><td>Efx::Price</td><td>Order price. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>. Will be present for limit orders only.</td></tr><tr><td>content.remainingSizeOrVolume</td><td>Efx::Size</td><td>For orders by size: remaining order size after order execution. For orders by volume: remaining order volume after order execution</td></tr><tr><td>content.createdAt</td><td>Efx::Timestamp</td><td>Order creation date</td></tr><tr><td>content.type</td><td>string</td><td>Order type. One of <code>limitIOC</code>, <code>marketIOC</code>, <code>pendingLimit</code></td></tr><tr><td>content.cancelReason</td><td>string</td><td>Order cancel reason. Will be present in cancelled orders</td></tr><tr><td>content.filledPercent</td><td>Efx::Percent</td><td>How many of initial size/volume turned into balance asset, in %. Currently present for Synthetic orders only</td></tr><tr><td>content.executionSize</td><td>Efx::Size</td><td>Execution Size, asset currency. Currently present for Synthetic orders only</td></tr><tr><td>content.executionVolume</td><td>Efx::Size</td><td>Execution Volume, balance currency. Currently present for Synthetic orders only</td></tr><tr><td>content.orders</td><td><code>order</code> array</td><td>List of Child orders that relate to specified Algo order. Currently present for Synthetic orders only</td></tr></tbody></table>

Schema for `order` attribute:

<table><thead><tr><th width="209.79998779296875"></th><th width="170.39996337890625"></th><th></th></tr></thead><tbody><tr><td>orderId</td><td>Efx::OrderId</td><td>Child Order ID. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>.</td></tr><tr><td>executionIndex</td><td>number</td><td>Child order execution index, starting from 0</td></tr><tr><td>side</td><td>string</td><td>Child Order side. Might be <code>bid</code>, <code>ask</code></td></tr><tr><td>instrument</td><td>string</td><td>Technical name of child order instrument</td></tr><tr><td>size</td><td>Efx::Size</td><td>Child Order size. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>. Will be present if child order is by size.</td></tr><tr><td>volume</td><td>Efx::Size</td><td>Child Order volume. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>. Will be present if child order is by volume.</td></tr><tr><td>price</td><td>Efx::Price</td><td>Child Order price. See <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/data-types">Data Types</a>. Will be present for limit orders only.</td></tr><tr><td>executionSize</td><td>Efx::Size</td><td>Execution Size, asset currency.</td></tr><tr><td>executionVolume</td><td>Efx::Size</td><td>Execution Volume, balance currency.</td></tr><tr><td>remainingSizeOrVolume</td><td>Efx::Size</td><td>For orders by size: remaining order size after order execution. For orders by volume: remaining order volume after order execution</td></tr><tr><td>cancelReason</td><td>Efx::CancelReason</td><td>Order cancel reason. Will be present in cancelled orders</td></tr><tr><td>executionCode</td><td>Efx::ErrorCode</td><td>Child order result code. Possible values are in <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/troubleshooting-errors/list-of-error-codes">List of Error Codes</a></td></tr></tbody></table>
{% endtab %}

{% tab title="Response NoOK" %}

```
{
    "error": 9,
    "errorDescription": [
        "Some description"
    ]
}
```

| Attribute        | Type           | Description                                                                                                                                                                                                              |
| ---------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| error            | Efx::ErrorCode | Operation result code. Possible values are in [List of Error Codes](https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/troubleshooting-errors/list-of-error-codes) |
| errorDescription | string array   | List of strings describing observed errors                                                                                                                                                                               |
| {% endtab %}     |                |                                                                                                                                                                                                                          |
| {% endtabs %}    |                |                                                                                                                                                                                                                          |
